#ifndef FBXWRAPPER_H
#define FBXWRAPPER_H
#include <hash_map>
#include <fbxsdk.h>
#include <kfbxio/kfbxstreamoptionsfbx.h>
#include "ActorPrototype.h"
#include "GeActor.h"
#include "GeBranch.h"

class FBXWrapper {
private:
	KFbxSdkManager* fbxman;
	KFbxStreamOptionsFbxReader* importOptions;

	KFbxScene* importScene(const char* pFilename);

public:
	bool init(void);
	void release(void);

	ActorPrototype importMesh(const char* file, bool staticActor=false);
	GeBranch* importLevel(char* file);
};

#endif
